SND_CTL_NEW(9)

NAME
snd_ctl_new - create a control instance from the template

SYNOPSIS

struct snd_kcontrol * snd_ctl_new (struct snd_kcontrol * control, unsigned int access);

ARGUMENTS

control
    the control template

access
    the default control access

DESCRIPTION

Allocates a new struct snd_kcontrol instance and copies the given template to the new instance. It does not copy volatile data (access).

Returns the pointer of the new instance, or NULL on failure.